Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class JspRuleChainVisitor

    java.lang.Object
      net.sourceforge.pmd.AbstractRuleChainVisitor
          net.sourceforge.pmd.jsp.ast.JspRuleChainVisitor

All Implemented Interfaces:
  RuleChainVisitor

    public class JspRuleChainVisitor

extends AbstractRuleChainVisitor

Field Summary

Fields inherited from class net.sourceforge.pmd.AbstractRuleChainVisitor
`nodeNameToNodes, ruleSetRules`

Constructor Summary
`JspRuleChainVisitor()`

Method Summary
`protected void` | `indexNodes(java.util.List<CompilationUnit> astCompilationUnits, RuleContext ctx)` Index all nodes for visitation by rules.
`protected void` | `visit(Rule rule, SimpleNode node, RuleContext ctx)` Visit the given rule to the given node.

Methods inherited from class net.sourceforge.pmd.AbstractRuleChainVisitor
`add, clear, indexNode, initialize, visitAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspRuleChainVisitor

    public JspRuleChainVisitor()

Method Detail

### indexNodes

    protected void indexNodes(java.util.List<CompilationUnit> astCompilationUnits,
                              RuleContext ctx)

  Description copied from class: `AbstractRuleChainVisitor`
  Index all nodes for visitation by rules.

  Specified by:
    `indexNodes` in class `AbstractRuleChainVisitor`

### visit

    protected void visit(Rule rule,
                         SimpleNode node,
                         RuleContext ctx)

  Description copied from class: `AbstractRuleChainVisitor`
  Visit the given rule to the given node.

  Specified by:
    `visit` in class `AbstractRuleChainVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.